Subject: Re: bug#25385: 24.5; `shr-next-link' wrong-type-argument error

From: Andreas Schwab <[email-masked]>
Date: Sat, 07 Jan 2017 18:09:43 +0100

On Jan 07 2017, Drew Adams <[email-masked]> wrote:

> I don't use EWW, but I used it very briefly, and got this when I hit
> `TAB' near the end of the buffer:
>
> Debugger entered--Lisp error: (wrong-type-argument integer-or-marker-p nil)
>   text-property-not-all(nil 423 help-echo nil)
>   shr-next-link()
>   call-interactively(shr-next-link nil nil)
>   command-execute(shr-next-link)
>
> Presumably a more user-friendly error should be raised if there are no
> more links to navigate to.

I cannot reproduce that.  I get a message "No next link", and no error.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."